## grails.web
Class JSONBuilder

    java.lang.Object
      grails.web.JSONBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class JSONBuilder

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`JSONBuilder()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`List` `array(groovy.lang.Closure c)`
`JSON` `build(groovy.lang.Closure c)`
`Object` `getCurrent()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getNestingStack()`
`static Object` `getNODE_ELEMENT()`
`Object` `getProperty(String propName)`
`Object` `getRoot()`
`Object` `invokeMethod(String methodName)`
`Object` `invokeMethod(String methodName, Object args)`
`void` `setCurrent(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setNestingStack(Object value)`
`static void` `setNODE_ELEMENT(Object value)`
`void` `setProperty(String propName, Object value)`
`void` `setRoot(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONBuilder

    public JSONBuilder()

Method Detail

### getNODE_ELEMENT

    public static Object getNODE_ELEMENT()

### setNODE_ELEMENT

    public static void setNODE_ELEMENT(Object value)

### getRoot

    public Object getRoot()

### setRoot

    public void setRoot(Object value)

### getCurrent

    public Object getCurrent()

### setCurrent

    public void setCurrent(Object value)

### getNestingStack

    public Object getNestingStack()

### setNestingStack

    public void setNestingStack(Object value)

### build

    public JSON build(groovy.lang.Closure c)

### invokeMethod

    public Object invokeMethod(String methodName)

### array

    public List array(groovy.lang.Closure c)

### invokeMethod

    public Object invokeMethod(String methodName,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String propName,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String propName)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project